spring:
  application:
    name: AipGateway.API
  main:
    #web-application-type: none
    log-startup-info: true
    banner-mode: off
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  #config:
  #  import: file:${user.dir}/conf/application.yml
  #profiles:
  #  include: application
  servlet:
    multipart:
      enabled: true
      file-size-threshold: 5MB
      max-file-size: 500MB
      max-request-size: 500MB
  datasource:
    hikari:
      driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
      #driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
      #encrypt=false;
      #jdbc-url: jdbc:log4jdbc:sqlserver://115.91.94.42:11433;databasename=aipdb;MultipleActiveResultSets=true;TrustServerCertificate=True;
      jdbc-url: jdbc:sqlserver://115.91.94.42:11433;DatabaseName=aipdb;MultipleActiveResultSets=true;TrustServerCertificate=True;
      username: ENC(04uwvbkIP0s=)
      password: ENC(04uwvbkIP0s=)
      auto-commit: true
      connection-test-query: SELECT 1
      minimum-idle: 5
      maximum-pool-size: 20
      idleTimeout: 20000
      max-lifetime: 30000
      connection-timeout: 10000
      pool-name: pool-aip-gateway-api-server

file:
  upload-dir: c:\\data\\target

logging:
  level:
    org.hibernate.SQL: info
    root: info
    com.zaxxer.hikari.pool.HikariPool: info

server:
  port: 5050
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300
      tracking-modes: cookie

application:
  aip-server-id: 0

jasypt:
  encryptor:
    bean: jasyptStringEncryptor
    property:
      prefix: ENC(
      suffix: )

springdoc:
  api-docs:
    path: /api-docs
  default-consumes-media-type: application/json
  default-produces-media-type: application/json
  swagger-ui:
    path: /swagger-ui.html
    operations-sorter: alpha
    tags-sorter: alpha
    disable-swagger-default-url: true
    doc-expansion: none
  paths-to-match:
    - /v1/**